[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.Lookup (deprecated)

Is the field a lookup field

## Declaration

Source position: db.pas line 458

`published property TField.Lookup : Boolean read GetLookup write SetLookup stored False;`

## Description

Lookup is True if the FieldKind equals fkLookup, False otherwise. Setting the Lookup property will switch the FieldKind between the fkLookup and fkData.

## See also

TField.FieldKind |  | The kind of field.